---
title: "Resume"
template: "page"
---
<!-- prettier-ignore -->
|     |     |
| --- | --- |
| Name    | Rick van Lieshout    |
| Date of birth    | 13 december 1992    |
| Address    | Oss - Noord-Brabant    |
| website    | [rickvanlieshout.com](https://www.rickvanlieshout.com)    |
| phone    |  [06 - 144 36 56 2](tel:+31614436562)   |
| email    |  [info@rickvanlieshout.com](mailto:info@rickvanlieshout.com)   |
| Hobbies    |  Technology & cooking (especially BBQ)   |

## Work experience

**Software architect at INFORIT**<br />
_2018 - Now_<br />
At INFORIT I am responsible for the entire technical architecture of the new TFX stack that I launched shortly after 2018. This involves setting up and maintaining a modern event based microservice architecture on a Kubernetes based SaaS cloud solution and migrating to modern programming languages such as dotnetcore and React.

The other main responsibility I have is creating and maintaining a coherent team of lead-developers by sharing knowledge, making decisions, and empowering leads to explore technologies outside of their comfort zone.

At INFORIT I also help with recruitment of new employees, setting up and maintaining agile strategies including proper test-management, and general software development.
During my time at INFORIT we've grown from 5-7 in-house developers to 10, full-sized, SCRUM teams.

Most relevant technologies used: dotnetcore, React, Angular, Kafka, RabbitMQ, Mongo, PostgreSQL, Growthbook, Docker & Kubernetes

**Hanflex employee**<br />
_September 2015 - July 2018_<br />
I started working for the HAN (hogeschool van Arnhem en Nijmegen) in 2015. The HAN offers us different jobs (teaching others, open door days, etc) and we are free to reply and take those. I primarily respond to the open door days and the teaching jobs. On the open door days I usually work with 3d printers and a lasercutter.

**mi-soft.nl**<br />
_2006 - January 2019_<br />
I started my own "company" helping people with their PC issues.
This ranged from fixing the hardware & software of home computers, installing home & corporate networks to developing software and websites.

**Albert Heijn**<br />
_2010 - January 2018_

**Newspaper delivery**<br />
_2005 - 2010_

## Education

**HBO ICT / software engineering HAN - Nijmegen**<br />
_2014 - 2018_<br />
After a few rocky years I enrolled into college and I'm now trying to get a software engineering degree. I finished my first year with an average of 8.3/10 and will graduate in mid 2018.

**Bilingual Senior General Secondary Education - Maaslandcollege Oss**<br />
_2005 - 2010_

**Graduate internship at VAA ICT Consultancy**<br />
_February 2018 - June 2018_<br />
Building an interactive and fully customizable dashboard on top of VAA's existing product lineup. The dashboard was built with ReactJS backed by an Express back-end-for-front-end.

## Training

I'll list some of the training courses I've had whilst working.
Some of these have (official) certificates, some don't, but all have brought value and knowledge.

- Hiring & interview training ([icm.nl](https://www.icm.nl/opleidingen-en-trainingen/hrm/selectiegesprekken-voeren/))
- Conversation techniques & deescalation ([TIJDwinst.com](https://gesprekstechnieken.com/cursus-gesprekstechnieken/)).
- Kubernetes
- SEEBURGER b2b integration

## Projects

**Burgerszoo interactive scouting expedition**<br />
_November 2017 - January 2018_<br />
For a zoo in the Netherlands me and a couple of fellow students designed, built, and tested an interactive scouting expedition. The expedition consisted of 6 NFC scanning points that play facts when scanned, it was fully configurable by the staff thanks to an interactive web interface made with ReactJS.

**han4pi**<br />
_September 2015 - July 2018_<br />
Designing and building a learning module for elementary school students.
All of the code is available on [Github](https://github.com/mastermindzh/han4pi.git).

**Solidwinds developer**<br />
_2015 - 2016_<br />
Set up an architecture and start of an implementation for a scalable metrics collection system for windmills.

**Quintor bulk-mail**<br />
_April 2016 - June 2016_<br />
SCRUM project to build a bulk mail system for QUINTOR customers/affiliates to decrease the workload on the administrative team.

## Skills & Technologies

The list below is far from complete and unordered but focuses on the skills & technologies I value the most.

- Leadership & Team management
- Teaching, coaching & presenting
- Agile development
- Docker, Kubernetes & CI/CD
- Event based architecture
- Reactive architecture
- Typescript (Javascript)
- dotnetcore
- React, Angular
- Linux & Shell scripting
- NoSQL (Mongo, Postgre)
- SQL (MSSQL, Postgre, sqlite, mariadb)
- Elasticsearch & Kibana
- Kafka
